/**
 * 
 */
package de.mcs.utils.caches;

/**
 * @author wklaa_000
 *
 */
public abstract class TimedCacheEntry {

  private String key;
  private long time;

  /**
   * 
   */
  private TimedCacheEntry() {
    time = System.currentTimeMillis();
  }

  public TimedCacheEntry(String key) {
    this();
    this.key = key;
  }

  /**
   * @return the time
   */
  public long getTime() {
    return time;
  }

  /**
   * @param time
   *          the time to set
   */
  public void setTime(long time) {
    this.time = time;
  }

  /**
   * @return the key
   */
  public String getKey() {
    return key;
  }

}
